net.minecraft.client.resources.data

## Class AnimationMetadataSectionSerializer

- java.lang.Object
- - net.minecraft.client.resources.data.BaseMetadataSectionSerializer
  - - net.minecraft.client.resources.data.AnimationMetadataSectionSerializer

- All Implemented Interfaces:
    com.google.gson.JsonDeserializer, com.google.gson.JsonSerializer, MetadataSectionSerializer

      public class AnimationMetadataSectionSerializer
      extends BaseMetadataSectionSerializer
      implements com.google.gson.JsonSerializer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnimationMetadataSectionSerializer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `deserialize(com.google.gson.JsonElement par1JsonElement, Type par2Type, com.google.gson.JsonDeserializationContext par3JsonDeserializationContext)`
    `com.google.gson.JsonElement` | `func_110491_a(AnimationMetadataSection par1AnimationMetadataSection, Type par2Type, com.google.gson.JsonSerializationContext par3JsonSerializationContext)`
    `AnimationMetadataSection` | `func_110493_a(com.google.gson.JsonElement par1JsonElement, Type par2Type, com.google.gson.JsonDeserializationContext par3JsonDeserializationContext)`
    `String` | `getSectionName()` The name of this section type as it appears in JSON.
    `com.google.gson.JsonElement` | `serialize(Object par1Obj, Type par2Type, com.google.gson.JsonSerializationContext par3JsonSerializationContext)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AnimationMetadataSectionSerializer

          public AnimationMetadataSectionSerializer()

  - ### Method Detail

    - #### func_110493_a

          public AnimationMetadataSection func_110493_a(com.google.gson.JsonElement par1JsonElement,
                                               Type par2Type,
                                               com.google.gson.JsonDeserializationContext par3JsonDeserializationContext)

    - #### func_110491_a

          public com.google.gson.JsonElement func_110491_a(AnimationMetadataSection par1AnimationMetadataSection,
                                                  Type par2Type,
                                                  com.google.gson.JsonSerializationContext par3JsonSerializationContext)

    - #### getSectionName

          public String getSectionName()

      The name of this section type as it appears in JSON.
      Specified by:
        `getSectionName` in interface `MetadataSectionSerializer`

    - #### deserialize

          public Object deserialize(com.google.gson.JsonElement par1JsonElement,
                           Type par2Type,
                           com.google.gson.JsonDeserializationContext par3JsonDeserializationContext)

      Specified by:
        `deserialize` in interface `com.google.gson.JsonDeserializer`

    - #### serialize

          public com.google.gson.JsonElement serialize(Object par1Obj,
                                              Type par2Type,
                                              com.google.gson.JsonSerializationContext par3JsonSerializationContext)

      Specified by:
        `serialize` in interface `com.google.gson.JsonSerializer`